com.hazelcast.concurrent.idgen

## Class IdGeneratorService

- java.lang.Object
- - com.hazelcast.concurrent.idgen.IdGeneratorService

- All Implemented Interfaces:
    ManagedService, RemoteService

      public class IdGeneratorService
      extends Object
      implements ManagedService, RemoteService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATOMIC_LONG_NAME`
    `static String` | `SERVICE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdGeneratorService(NodeEngine nodeEngine)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistributedObject` | `createDistributedObject(String name)` Creates a distributed object.
    `void` | `destroyDistributedObject(String name)` Destroys a distributed object.
    `void` | `init(NodeEngine nodeEngine, Properties properties)` Initializes this service.
    `void` | `reset()` Resets this service back to its initial state.
    `void` | `shutdown(boolean terminate)` Shuts down this service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_NAME

          public static final String SERVICE_NAME

      See Also:
        Constant Field Values

    - #### ATOMIC_LONG_NAME

          public static final String ATOMIC_LONG_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IdGeneratorService

          public IdGeneratorService(NodeEngine nodeEngine)

  - ### Method Detail

    - #### init

          public void init(NodeEngine nodeEngine,
                           Properties properties)

      Description copied from interface: `ManagedService`
      Initializes this service.
      Specified by:
        `init` in interface `ManagedService`
      Parameters:
        `nodeEngine` - the NodeEngine that this service belongs to
        `properties` - the Properties (can be used to pass settings to the service)

    - #### reset

          public void reset()

      Description copied from interface: `ManagedService`
      Resets this service back to its initial state.

      TODO: what is the purpose of reset

      Specified by:
        `reset` in interface `ManagedService`

    - #### shutdown

          public void shutdown(boolean terminate)

      Description copied from interface: `ManagedService`
      Shuts down this service.

      TODO: what is the purpose of the terminate variable

      Specified by:
        `shutdown` in interface `ManagedService`
      Parameters:
        `terminate` - `true` to shut down this service

    - #### createDistributedObject

          public DistributedObject createDistributedObject(String name)

      Description copied from interface: `RemoteService`
      Creates a distributed object.
      Specified by:
        `createDistributedObject` in interface `RemoteService`
      Parameters:
        `name` - the name for the created distributed object
      Returns:
        the created distributed object

    - #### destroyDistributedObject

          public void destroyDistributedObject(String name)

      Description copied from interface: `RemoteService`
      Destroys a distributed object.
      Specified by:
        `destroyDistributedObject` in interface `RemoteService`
      Parameters:
        `name` - the name of the distributed object to destroy

Copyright © 2019. All rights reserved.